<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<!-- Bootstrap Responsive Meta tags -->
	<meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
	<title>Bootstrap Introduction and Simple Styles</title>

	<!-- Bootstrap CSS -->
	<link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.6.2/dist/css/bootstrap.min.css" integrity="sha384-xOolHFLEh07PJGoPkLv1IbcEPTNtaed2xpHsD9ESMhqIYd0nLMwNLD69Npy4HI+N" crossorigin="anonymous">

</head>
<body class="text-center text-secondary">
	<!-- Texts, Images, and border elements are centered using this class. -->

	<!-- Navbar -->
	<div class="bg-primary text-light fixed-top p-1">
		Fixed-Top Navbar
	</div>


	<!-- Bootstrap Utility Classes -->

	<div class="container-fluid mt-5 mb-5">
	<!-- Container in table is a bit wider than in table..container adds padding and margin -->

	<!-- header -->
	<h1>Bootstrap Introduction and Simple Styles</h1>
	<!-- end of header -->

	<!-- d-none says that it doesn't get displayed until the next breakpoint -->
	<div class="w-25 d-none d-md-inline-block mt-4">
		<img src="https://www.drupal.org/files/project-images/bootstrap-stack.png" class="rounded-circle bg-white img-fluid">

		<!-- d represents display -->
	</div>

	<!-- Bootstrap Color Classes -->
	<h2>Bootstrap Color Classes</h2>

	<table class="table table-dark table-bordered">
		<thead>
			<tr>
				<th>Text</th>
				<th>Background</th>
			</tr>
		</thead>
		<tbody>
			<tr>
				<td>
					<a href="#" class="text-primary">Primary Link</a>
					<!-- In bootstrap, primary is set to color blue -->
				</td>
				<td class="bg-primary text-white">Primary</td>
			</tr>


			            <td>
			                <a href="#" class="text-secondary">
			                    Secondary link
			                </a>
			            </td>
			            <td class="bg-secondary text-white">Secondary</td>
			        </tr>
			        <tr>
			            <td>
			                <a href="#" class="text-success">
			                    Success link
			                </a>
			            </td>
			            <td class="bg-success text-white">Success</td>
			        </tr>
			        <tr>
			            <td>
			                <a href="#" class="text-danger">
			                    Danger link
			                </a>
			            </td>
			            <td class="bg-danger text-white">Danger</td>
			        </tr>
			        <tr>
			            <td>
			                <a href="#" class="text-warning">
			                    Warning link
			                </a>
			            </td>
			            <td class="bg-warning text-white">Warning</td>
			        </tr>
			        <tr>
			            <td>
			                <a href="#" class="text-info">
			                    Info link
			                </a>
			            </td>
			            <td class="bg-info text-white">Info</td>
			        </tr>
			        <tr>
			            <td>
			                <a href="#" class="text-light">
			                    Light link
			                </a>
			            </td>
			            <td class="bg-light text-white">Light</td>
			        </tr>
			        <tr>
			            <td>
			                <a href="#" class="text-dark">
			                    Dark link
			                </a>
			            </td>
			            <td class="bg-dark text-white">Dark</td>
			        </tr>
			        <tr>
			            <td>
			                <a href="#" class="text-muted">
			                    Muted link
			                </a>
			            </td>
			            <td class="bg-transparent text-white">Transparent</td>
			        </tr>
			        <tr>
			            <td>
			                <a href="#" class="text-white">
			                    White link
			                </a>
			            </td>
			            <td class="bg-white text-white">White</td>
			        </tr>			
		</tbody>
	</table>
	<!-- End of Bootstrap Color Classes -->

	<!-- Bootstrap Text Classes -->
	<h2>Bootstrap Text Classes</h2>

	<table class="table table-dark table-bordered">
		<thead>
			<tr>
				<th>Alignment</th>
			</tr>
		</thead>
		<tbody>
			<tr>
				<td class="text-left">Left</td>
			</tr>
			<tr>
				<td class="text-center">Center</td>
			</tr>
			<tr>
				<td class="text-right">Right</td>
			</tr>
			<!-- 
				In HTML, breakpoints are the screen sizes. when we use breakpoints with alignments, it will set the alignment to that specific screen size up until the biggest screen size or the next breakpoint
			 -->
			<tr>
				<!-- sm - greater than or equal to 576px -->
				<!-- Larger Mobile Phones (in DevTools, all Mobile screensizes are considered sm) -->
				<td class="text-sm-center">Small Center</td>
	        </tr>
	        <tr>
	        	<!-- text-right can also be written as text-xs-right(smallest size possible to greatest) -->
	        	<!-- md (medium screen size) - greater than or equal to 786px -->
	        	<!-- Tablets -->
	            <td class="text-right text-md-left">Medium Left</td>
	        </tr>
	        <tr>
	        	<!-- lg(large screen) - greater than or equal to 982px -->
	        	<!-- Desktop or Laptop -->
	            <td class="text-lg-right">Large Right</td>
		    </tr>
	        <tr>
	        	<!-- xl(extra large) - greater than or equal to 1200px -->
	        	<!-- TV and other big screens -->
		        <td class="text-xl-left">Extra Large Left</td>
	        </tr>

		</tbody>
	</table>
	<!-- End of Bootstrap Text Classes -->


	<!-- Bootstrap Other Text Classes -->
	<h2>Bootstrap Other Text Classes</h2>

	<table class="table table-dark table-bordered">
		<thead>
			<tr>
				<th>Text Transform</th>
			</tr>
		</thead>
		<tbody>
			<tr>
				<td class="text-lowercase font-weight-bold">LOWERCASE BOLD TEXT</td>
			</tr>

			
			<tr>
				<td class="text-uppercase font-weight-normal">Uppercase normal text</td>
			</tr>


			<tr>
				<td class="text-capitalize font-weight-light">CapitALized liGht tEXt</td>
				<!-- Only capitalizes the first letter of the word -->
			</tr>

			<tr>
				<td>
					<a href="#" class="text-decoration-none font-italic">Non-underlined Italic Link</a>
				</td>
			</tr>
		</tbody>
	</table>
	<!-- End of Bootstrap other Text Classes -->

	<!-- Bootstrap Border and Sizing Classes -->
	<!-- ctrl + shift + v - formatted pasting -->
	<table class="table table-dark text-light table-bordered">
	    <thead>
	        <tr>
	            <th>Border</th>
	        </tr>
	    </thead>
	    <tbody>
	        <tr>
	            <td>
	                <div class="bg-info border border-primary rounded w-100">
	                    Rounded
	                </div>
	            </td>
	        </tr>
	        <tr>
	            <td>
	                <div class="bg-secondary border border-white rounded-circle w-25">
	                    Rounded Circle
	                </div>
	            </td>
	        </tr>
	        <tr>
	            <td>
	                <div class="bg-warning border border-danger rounded-pill w-50">
	                    Rounded Pill
	                </div>
	            </td>
	        <!-- w-25,50,70,100 can only be used and they are in percentages. If we try to use something else, that won't work. -->
	        </tr>
	    </tbody>
	</table>	
	<!-- End of Bootstrap Border and Sizing Classes -->

	</div>
	<!-- End of Bootstrap Utility Classes -->

	<!-- Footer -->
	<div class="bg-primary text-light fixed-bottom p-1">
		Fixed-Bottom Footer
	</div>
	<!-- End of Footer -->

<!-- p-1 is used for padding -->
<!-- m-1 is 4px and m-2 is 8px -->
<!-- Spacer is 16px by default -->

	<!-- Bootstrap JS -->
	<script src="https://cdn.jsdelivr.net/npm/jquery@3.5.1/dist/jquery.slim.min.js" integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj" crossorigin="anonymous"></script>
	<script src="https://cdn.jsdelivr.net/npm/bootstrap@4.6.2/dist/js/bootstrap.bundle.min.js" integrity="sha384-Fy6S3B9q64WdZWQUiU+q4/2Lc9npb8tCaSX9FK7E8HnRr0Jz8D6OP9dO5Vg3Q9ct" crossorigin="anonymous"></script>


</body>
</html>